Skip to main content
GET
/
api
/
commerce
/
orders
/
{id}
Get an order
curl --request GET \
  --url https://app.vaultgraph.com/api/commerce/orders/{id} \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "id": "<string>",
    "checkout_id": "<string>",
    "permalink_url": "<string>",
    "line_items": [
      {
        "id": "<string>",
        "item": {
          "id": "<string>",
          "price": 123,
          "title": "<string>",
          "image_url": "<string>"
        },
        "quantity": {
          "fulfilled": 123,
          "total": 123
        },
        "totals": [
          {
            "amount": 123,
            "display_text": "<string>"
          }
        ],
        "parent_id": "<string>"
      }
    ],
    "totals": [
      {
        "amount": 123,
        "display_text": "<string>"
      }
    ],
    "fulfillment": {
      "events": [
        {
          "id": "<string>",
          "line_items": [
            {
              "id": "<string>",
              "quantity": 123
            }
          ],
          "occurred_at": "2023-11-07T05:31:56Z",
          "type": "<string>",
          "carrier": "<string>",
          "description": "<string>",
          "tracking_number": "<string>",
          "tracking_url": "<string>"
        }
      ],
      "expectations": [
        {
          "destination": {
            "address_country": "<string>",
            "address_locality": "<string>",
            "address_region": "<string>",
            "extended_address": "<string>",
            "first_name": "<string>",
            "full_name": "<string>",
            "last_name": "<string>",
            "phone_number": "<string>",
            "postal_code": "<string>",
            "street_address": "<string>"
          },
          "id": "<string>",
          "line_items": [
            {
              "id": "<string>",
              "quantity": 123
            }
          ],
          "description": "<string>",
          "fulfillable_on": "<string>"
        }
      ]
    },
    "ucp": {
      "capabilities": [
        {
          "name": "<string>",
          "version": "<string>",
          "config": {},
          "extends": "<string>",
          "schema": "<string>",
          "spec": "<string>"
        }
      ],
      "version": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vaultgraph.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Response

Order detail

data
object